Package com.logicaldoc.core.security.user

# Enum Class UserEvent

java.lang.Object
java.lang.Enum<UserEvent>
com.logicaldoc.core.security.user.UserEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<UserEvent>`, `Constable`

public enum UserEvent extends Enum<UserEvent>
Possible events in the user's history

Since:
  8.0.1
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AI_QUERY`
`CREATED`
`DELETED`
`DISABLED`
`ENABLED`
`FILE_CONVERSION`
`IMPERSONATION`
`IMPERSONATORS_CHANGED`
`LEGAL_CONFIRMED`
`LOGIN`
`LOGIN_FAILED`
`LOGOUT`
`MESSAGE_RECEIVED`
`NEWAPIKEY`
`PASSWORDCHANGED`
`SEARCH`
`TIMEOUT`
`TWOFACHANGED`
`UPDATED`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`allKeys()`
Retrieves the all resource bundle keys
`static UserEvent`
`fromKey(String key)`
Gets the right enumeration entry from the corresponding resource bundle key
`String`
`toKey()`
Converts the enumeration entry to the corresponding key in the resource bundle
`String`
`toString()`
`static UserEvent`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UserEvent[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOGIN

public static final UserEvent LOGIN

### LOGIN_FAILED

public static final UserEvent LOGIN_FAILED

### LOGOUT

public static final UserEvent LOGOUT

### TIMEOUT

public static final UserEvent TIMEOUT

### PASSWORDCHANGED

public static final UserEvent PASSWORDCHANGED

### TWOFACHANGED

public static final UserEvent TWOFACHANGED

### DELETED

public static final UserEvent DELETED

### FILE_CONVERSION

public static final UserEvent FILE_CONVERSION

### MESSAGE_RECEIVED

public static final UserEvent MESSAGE_RECEIVED

### CREATED

public static final UserEvent CREATED

### UPDATED

public static final UserEvent UPDATED

### DISABLED

public static final UserEvent DISABLED

### ENABLED

public static final UserEvent ENABLED

### NEWAPIKEY

public static final UserEvent NEWAPIKEY

### SEARCH

public static final UserEvent SEARCH

### AI_QUERY

public static final UserEvent AI_QUERY

### LEGAL_CONFIRMED

public static final UserEvent LEGAL_CONFIRMED

### IMPERSONATORS_CHANGED

public static final UserEvent IMPERSONATORS_CHANGED

### IMPERSONATION

public static final UserEvent IMPERSONATION

## Method Details

### values

public static UserEvent[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UserEvent valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromKey

public static UserEvent fromKey(String key)
Gets the right enumeration entry from the corresponding resource bundle key

Parameters:
  `key` - the resource bundle key
Returns:
  The corresponding entry

### toKey

public String toKey()
Converts the enumeration entry to the corresponding key in the resource bundle

Returns:
  The key

### allKeys

public List<String> allKeys()
Retrieves the all resource bundle keys

Returns:
  A list of keys

### toString

public String toString()

Overrides:
  `toString` in class `Enum<UserEvent>`